/*
 * created on 02.08.2006
 *(c) Forschungszentrum Juelich GmbH
 */
package de.fzj.unicore.uas.xnjs;

import java.net.URI;

import junit.framework.TestCase;

import org.unigrids.services.atomic.types.PermissionsDocument;

import de.fzj.unicore.xnjs.io.Permissions;

public class TestVarious extends TestCase{

	protected void setUp()throws Exception{
	}
	
	public void test0()throws Exception{
		URI uri=new URI("bft:http://somehost:1234?res=mystorage#foo.txt");
		assertEquals("http://somehost:1234?res=mystorage", uri.getSchemeSpecificPart());
	}
	
	public void testPermissionConverter(){
		PermissionsDocument pd=PermissionsDocument.Factory.newInstance();
		pd.addNewPermissions();
		Permissions p=XNJSFacade.getXNJSPermissions(pd.getPermissions());
		assertEquals("r",String.valueOf(p));
		pd.getPermissions().setExecutable(true);
		pd.getPermissions().setWritable(true);
		p=XNJSFacade.getXNJSPermissions(pd.getPermissions());
		assertEquals("rwx",String.valueOf(p));
		
	}
}
